Subject: Re: pre-commit to reject EOL changes

From: Jakub Narebski <[email-masked]>
Date: Sat, 04 Jun 2011 00:52:06 -0700 (PDT)

"Neal Kreitzinger" <[email-masked]> writes:

> I see that the pre-commit.sample reject introduction of lines with trailing 
> whitespaces.  Is there a way to have it reject changes in EOL format (CRLF 
> vs LF)?

Well, from description of relevant config variable, namely `core.whitespace`
it looks like by default `trailing-space` with `cr-at-eol` not enabled
(default) treats adding CR in LF -> CR LF change as whitespace error.

I don't think there is anything *canned* (out of the box) for the change
in reverse direction.

-- 
Jakub Narebski
Poland
ShadeHawk on #git